Bug 181760 - traceback: can't open /tmp/partitioning
traceback: can't open /tmp/partitioning
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Mike McLean
: 185396 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-16 06:01 EST by Karsten Hopp
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 10.92.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-29 10:20:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karsten Hopp 2006-02-16 06:01:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv: Gecko/20060202 Fedora/ Firefox/

Description of problem:
I'm using a custom kickstart where I figure out the machines IP and download
partitioning data based on this IP. This used to work with FC4, but fails with a traceback in FC5/devel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. write a kickstart file which downloads /tmp/partitioning based on its IP address
2. watch how anaconda tracebacks

Actual Results:  File "/usr/bin/anaconda", line 679, in ?
File "/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 971, in readKickstart
File "/usr/lib/python2.4/site-packages/pykickstart/parser.py", line 920, in readKickstart
fh = open(file)
IOError: [Errno 2] No such file or directory: '/tmp/partitioning'
install exited abnormally

Additional info:
Comment 1 Karsten Hopp 2006-02-16 06:50:24 EST
'/tmp/partitioning' is the file I download in %pre and include in the kickstart
file. So it looks like wget in %pre is failing
Comment 2 Chris Lumens 2006-02-16 09:41:01 EST
Please attach your kickstart file to this bug report.
Comment 4 Chris Lumens 2006-02-16 13:36:49 EST
This should be fixed in post-test3 Rawhide.  Please test with the next anaconda
build and let me know if it's working for you.
Comment 5 Karsten Hopp 2006-03-14 07:08:39 EST
*** Bug 185396 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.